# Class Product

java.lang.Object
com.codename1.payment.Product

public class Product extends Object
Represents a product within the system

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Product()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`

  ###### Returns

  `String`
  `getDisplayName()`

  ###### Returns

  `String`
  `getLocalizedPrice()`

  ###### Returns

  `String`
  `getSku()`

  ###### Returns

  `void`
  `setDescription(String description)`

  ###### Parameters

  `void`
  `setDisplayName(String displayName)`

  ###### Parameters

  `void`
  `setLocalizedPrice(String localizedPrice)`

  ###### Parameters

  `void`
  `setSku(String sku)`

  ###### Parameters

  ### Methods inherited from class Object

  `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `final Class`
  `getClass()`
  Returns the runtime class of an object.
  `int`
  `hashCode()`
  Returns a hash code value for the object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes current thread to wait until another thread invokes the method or the method for this object.
  `final void`
  `wait(long timeout)`
  Causes current thread to wait until either another thread invokes the method or the method for this object, or a specified amount of time has elapsed.
  `final void`
  `wait(long timeout, int nanos)`
  Causes current thread to wait until another thread invokes the method or the method for this object, or some other thread interrupts the current thread, or a certain amount of real time has elapsed.

- ## Constructor Details

  - ### Product

    public Product()

- ## Method Details

  - ### getDisplayName

    public String getDisplayName()

    ###### Returns

    the displayName

  - ### setDisplayName

    public void setDisplayName(String displayName)

    ###### Parameters

    - `displayName`: the displayName to set

  - ### getDescription

    public String getDescription()

    ###### Returns

    the description

  - ### setDescription

    public void setDescription(String description)

    ###### Parameters

    - `description`: the description to set

  - ### getLocalizedPrice

    public String getLocalizedPrice()

    ###### Returns

    the localizedPrice

  - ### setLocalizedPrice

    public void setLocalizedPrice(String localizedPrice)

    ###### Parameters

    - `localizedPrice`: the localizedPrice to set

  - ### getSku

    public String getSku()

    ###### Returns

    the sku

  - ### setSku

    public void setSku(String sku)

    ###### Parameters

    - `sku`: the sku to set